JUCE: BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes > Struct Template Reference

JUCE

Classes | Public Member Functions | List of all members
BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes > Struct Template Reference

This helper class allocates a block of 7-bit bytes and can push sequences of bits into it. More...

## Classes
struct | State
| Describes the current building state. More...

## Public Member Functions
const void * | getData () const noexcept
int | size () const noexcept
bool | hasCapacity (int bitsNeeded) const noexcept
void | writeHeaderSysexBytes (uint8 deviceIndex) noexcept
void | writePacketSysexFooter () noexcept
template<int numBits>
Packed7BitArrayBuilder & | operator<< (IntegerWithBitSize< numBits > value) noexcept
void | writeBits (uint32 value, int numBits) noexcept
State | getState () const noexcept
void | restore (State state) noexcept

## Detailed Description

### template<int allocatedBytes>
struct BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >

This helper class allocates a block of 7-bit bytes and can push sequences of bits into it.

See also
  Packed7BitArrayReader

## Member Function Documentation

## ◆ getData()

template<int allocatedBytes>

const void* BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::getData | ( |  | ) | const
| noexcept

Referenced by BlocksProtocol::HostPacketBuilder< maxPacketBytes >::getData().

## ◆ size()

template<int allocatedBytes>

int BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::size | ( |  | ) | const
| noexcept

Referenced by BlocksProtocol::HostPacketBuilder< maxPacketBytes >::size().

## ◆ hasCapacity()

template<int allocatedBytes>

bool BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::hasCapacity | ( | int | bitsNeeded | ) | const
| noexcept

Referenced by BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addBlockReset(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addConfigSetMessage(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addFactoryReset(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addFirmwareUpdatePacket(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addProgramEventMessage(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addRequestFactorySyncMessage(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addRequestMessage(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addRequestUserSyncMessage(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::addSetBlockName(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::beginDataChanges(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::deviceControlMessage(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::endDataChanges(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::setMultipleBytes(), BlocksProtocol::HostPacketBuilder< maxPacketBytes >::skipBytes(), BlocksProtocol::Packed7BitArrayBuilder< maxPacketBytes >::writeBits(), and BlocksProtocol::Packed7BitArrayBuilder< maxPacketBytes >::writePacketSysexFooter().

## ◆ writeHeaderSysexBytes()

template<int allocatedBytes>

void BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::writeHeaderSysexBytes | ( | uint8 | deviceIndex | ) |
| noexcept

Referenced by BlocksProtocol::HostPacketBuilder< maxPacketBytes >::writePacketSysexHeaderBytes().

## ◆ writePacketSysexFooter()

template<int allocatedBytes>

void BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::writePacketSysexFooter | ( |  | ) |
| noexcept

Referenced by BlocksProtocol::HostPacketBuilder< maxPacketBytes >::writePacketSysexFooter().

## ◆ operator<<()

template<int allocatedBytes>
template<int numBits>

Packed7BitArrayBuilder& BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::operator<< | ( | IntegerWithBitSize< numBits > | value | ) |
| noexcept

## ◆ writeBits()

template<int allocatedBytes>

void BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::writeBits | ( | uint32 | value,
|  | int | numBits
| ) |  |
| noexcept

Referenced by BlocksProtocol::Packed7BitArrayBuilder< maxPacketBytes >::operator<<().

## ◆ getState()

template<int allocatedBytes>

State BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::getState | ( |  | ) | const
| noexcept

Referenced by BlocksProtocol::HostPacketBuilder< maxPacketBytes >::setMultipleBytes(), and BlocksProtocol::HostPacketBuilder< maxPacketBytes >::skipBytes().

## ◆ restore()

template<int allocatedBytes>

void BlocksProtocol::Packed7BitArrayBuilder< allocatedBytes >::restore | ( | State | state | ) |
| noexcept

Referenced by BlocksProtocol::HostPacketBuilder< maxPacketBytes >::setMultipleBytes(), and BlocksProtocol::HostPacketBuilder< maxPacketBytes >::skipBytes().

The documentation for this struct was generated from the following file:

- juce_BitPackingUtilities.h